Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(16)

Issue 2977153003: Add texture support to HardwareVideoEncoder. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by mellem
Modified:
2 months, 1 week ago
Reviewers:
aburago, pthatcher1, sakal
CC:
webrtc-reviews_webrtc.org, tterriberry_mozilla.com
Target Ref:
refs/heads/master
Project:
webrtc
Visibility:
Public.

Description

Add texture support to HardwareVideoEncoder. HardwareVideoEncoderFactory can now take an EglBase.Context on creation. When it does, it creates video encoders in texture mode. It uses the COLOR_FormatSurface colorFormat. It passes the EglBase.Context to the HardwareVideoEncoder. The HardwareVideoEncoder sets up an input surface for its codec and handles incoming frames by drawing them onto the input surface. BUG=webrtc:7760 R=pthatcher@webrtc.org, sakal@webrtc.org Review-Url: https://codereview.webrtc.org/2977153003 . Cr-Commit-Position: refs/heads/master@{#19083} Committed: https://chromium.googlesource.com/external/webrtc/+/0cf9a4a482b18eefa8caeb7f442ac4fabcdefdeb

Patch Set 1 #

Total comments: 28

Patch Set 2 : Refactoring and error handling #

Patch Set 3 : Names and comments #

Total comments: 4

Patch Set 4 : Fix logging and matrix helper #

Patch Set 5 : Fix logging and matrix helper #

Unified diffs Side-by-side diffs Delta from patch set Stats (+293 lines, -37 lines) Patch
M webrtc/sdk/android/api/org/webrtc/HardwareVideoEncoderFactory.java View 1 2 3 3 chunks +25 lines, -6 lines 0 comments Download
M webrtc/sdk/android/api/org/webrtc/RendererCommon.java View 1 2 3 4 1 chunk +30 lines, -0 lines 0 comments Download
M webrtc/sdk/android/instrumentationtests/src/org/webrtc/HardwareVideoEncoderTest.java View 1 2 3 4 3 chunks +108 lines, -2 lines 0 comments Download
M webrtc/sdk/android/src/java/org/webrtc/HardwareVideoEncoder.java View 1 2 10 chunks +127 lines, -29 lines 0 comments Download
M webrtc/sdk/android/src/java/org/webrtc/MediaCodecUtils.java View 1 chunk +3 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 17 (6 generated)
mellem
2 months, 1 week ago (2017-07-15 00:35:05 UTC) #3
sakal
https://codereview.webrtc.org/2977153003/diff/1/webrtc/sdk/android/api/org/webrtc/HardwareVideoEncoderFactory.java File webrtc/sdk/android/api/org/webrtc/HardwareVideoEncoderFactory.java (right): https://codereview.webrtc.org/2977153003/diff/1/webrtc/sdk/android/api/org/webrtc/HardwareVideoEncoderFactory.java#newcode65 webrtc/sdk/android/api/org/webrtc/HardwareVideoEncoderFactory.java:65: if (sharedContext instanceof EglBase14.Context) { I would prefer this ...
2 months, 1 week ago (2017-07-17 12:25:42 UTC) #4
mellem
https://codereview.webrtc.org/2977153003/diff/1/webrtc/sdk/android/api/org/webrtc/HardwareVideoEncoderFactory.java File webrtc/sdk/android/api/org/webrtc/HardwareVideoEncoderFactory.java (right): https://codereview.webrtc.org/2977153003/diff/1/webrtc/sdk/android/api/org/webrtc/HardwareVideoEncoderFactory.java#newcode65 webrtc/sdk/android/api/org/webrtc/HardwareVideoEncoderFactory.java:65: if (sharedContext instanceof EglBase14.Context) { On 2017/07/17 12:25:41, sakal ...
2 months, 1 week ago (2017-07-17 17:49:30 UTC) #5
pthatcher1
https://codereview.webrtc.org/2977153003/diff/1/webrtc/sdk/android/src/java/org/webrtc/HardwareVideoEncoder.java File webrtc/sdk/android/src/java/org/webrtc/HardwareVideoEncoder.java (right): https://codereview.webrtc.org/2977153003/diff/1/webrtc/sdk/android/src/java/org/webrtc/HardwareVideoEncoder.java#newcode79 webrtc/sdk/android/src/java/org/webrtc/HardwareVideoEncoder.java:79: // Surface objects for texture-mode encoding. Would it make ...
2 months, 1 week ago (2017-07-17 22:50:20 UTC) #6
mellem
https://codereview.webrtc.org/2977153003/diff/1/webrtc/sdk/android/src/java/org/webrtc/HardwareVideoEncoder.java File webrtc/sdk/android/src/java/org/webrtc/HardwareVideoEncoder.java (right): https://codereview.webrtc.org/2977153003/diff/1/webrtc/sdk/android/src/java/org/webrtc/HardwareVideoEncoder.java#newcode79 webrtc/sdk/android/src/java/org/webrtc/HardwareVideoEncoder.java:79: // Surface objects for texture-mode encoding. On 2017/07/17 22:50:19, ...
2 months, 1 week ago (2017-07-17 23:22:01 UTC) #7
pthatcher1
lgtm
2 months, 1 week ago (2017-07-17 23:41:21 UTC) #8
sakal
lgtm https://codereview.webrtc.org/2977153003/diff/1/webrtc/sdk/android/src/java/org/webrtc/HardwareVideoEncoder.java File webrtc/sdk/android/src/java/org/webrtc/HardwareVideoEncoder.java (right): https://codereview.webrtc.org/2977153003/diff/1/webrtc/sdk/android/src/java/org/webrtc/HardwareVideoEncoder.java#newcode316 webrtc/sdk/android/src/java/org/webrtc/HardwareVideoEncoder.java:316: // No timeout. Don't block for an input ...
2 months, 1 week ago (2017-07-18 08:46:13 UTC) #9
mellem
https://codereview.webrtc.org/2977153003/diff/1/webrtc/sdk/android/src/java/org/webrtc/HardwareVideoEncoder.java File webrtc/sdk/android/src/java/org/webrtc/HardwareVideoEncoder.java (right): https://codereview.webrtc.org/2977153003/diff/1/webrtc/sdk/android/src/java/org/webrtc/HardwareVideoEncoder.java#newcode316 webrtc/sdk/android/src/java/org/webrtc/HardwareVideoEncoder.java:316: // No timeout. Don't block for an input buffer, ...
2 months, 1 week ago (2017-07-18 17:11:57 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2977153003/80001
2 months, 1 week ago (2017-07-18 18:41:34 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: linux_baremetal on master.tryserver.webrtc (JOB_FAILED, http://build.chromium.org/p/tryserver.webrtc/builders/linux_baremetal/builds/22853)
2 months, 1 week ago (2017-07-18 19:08:24 UTC) #15
mellem
2 months, 1 week ago (2017-07-18 20:19:33 UTC) #17
Message was sent while issue was closed.
Committed patchset #5 (id:80001) manually as
0cf9a4a482b18eefa8caeb7f442ac4fabcdefdeb (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b